%define origname orange

Name: lib%origname
Version: 0.3
Release: alt3

Summary: A library to squeeze out installable Microsoft cabinet files
License: MIT
Group: Archiving/Compression

Url: http://synce.sourceforge.net
Source: %origname-%version.tar.gz
Patch: %origname-svn20071207.patch

Packager: Mobile Development Team <mobile@packages.altlinux.org>

Requires: libdynamite
Requires: libsynce
Requires: libunshield >= 0.2
#Requires: cabextract unzip

# Automatically added by buildreq on Sat Dec 08 2007
BuildRequires: gcc-c++ libdynamite-devel libgsf-devel libsynce-devel libunshield-devel

%description
See http://synce.sourceforge.net/synce for more information.

%package devel
Summary: Headers for library to squeeze out installable Micrsoft cabinet files
Group: Development/C
Requires: %name = %version
BuildRequires: libdynamite-devel
BuildRequires: libsynce-devel
BuildRequires: libunshield-devel

%description devel
See http://synce.sourceforge.net/synce for more information.

%if_enabled static
%package devel-static
Summary: Static library to squeeze out installable Micrsoft cabinet files
Compression Library
Group: Development/C
Requires: %name-devel = %version

%description devel-static
See http://synce.sourceforge.net for more information.
%endif

%prep
%setup -q -n %origname-%version
%patch -p1
##%__subst 's/-Werror //' {lib,src}/Makefile*

%build
. bootstrap
%configure
%make

%install
%make install DESTDIR=%buildroot

%files
%doc LICENSE
%_bindir/orange
%_libdir/liborange.so.*
%_man1dir/*

%files devel
%_includedir/liborange.h
%_includedir/liborange_stub.h
%_libdir/liborange.so
%_libdir/pkgconfig/*.pc

%if_enabled static
%files devel-static
%_libdir/liborange.a
#_libdir/liborange.la
%endif


%changelog
* Fri Jan 04 2008 Eugene V. Horohorin <genix@altlinux.ru> 0.3-alt3
- fix build

* Sat Dec 08 2007 Eugene V. Horohorin <genix@altlinux.ru> 0.3-alt2
- update to SVN 20071207 version

* Sun Jul 24 2005 Eugene V. Horohorin <genix@altlinux.ru> 0.3-alt1
- 0.3

* Fri Sep 03 2004 Michael Shigorin <mike@altlinux.ru> 0.2-alt1
- built for ALT Linux (synce-kde dependency)

